Subject: [Roadsters] dropping the front end a few inches

From: Chris Collett <[email-masked]>
Date: Wed, 11 Jun 2014 10:27:01 -0700

I would like to get a better rake for the stance of my 1969 2000.  Does
anyone have experience lowering the front?  I don't want to buy springs,
just looking for an economical way to lower that someone else has tried.
 Bolt on spring compressors or cut a coil?  Please let me know.  Also, I
just picked up 15.7 XXR panasport copy wheels with 0 offset and 195/50s.
 Fit great, but one has an inch dent with curb rash.  Anyone ever had these
repaired or even straightened a dent yourself?
Thank you,
Chris
________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/datsun-roadsters/[email-masked]